# QGCacheIterator Class Reference

An internal class for implementing QCacheIterator and QIntCacheIterator. More...

`#include <qgcache.h>`

Inherited by QCacheIterator and QIntCacheIterator.

List of all member functions.

## Protected Members

- QGCacheIterator ( const QGCache & )
- QGCacheIterator ( const QGCacheIterator & )
- ~QGCacheIterator ()
- QGCacheIterator& operator= ( const QGCacheIterator & )
- uint count () const
- bool atFirst () const
- bool atLast () const
- GCI toFirst ()
- GCI toLast ()
- GCI get () const
- const char* getKey () const
- GCI operator ()()
- GCI operator++ ()
- GCI operator+= ( uint )
- GCI operator-- ()
- GCI operator-= ( uint )

## Detailed Description

An internal class for implementing QCacheIterator and QIntCacheIterator.

QGCacheIterator is a strictly internal class that does the heavy work for QCacheIterator and QIntCacheIterator.

## Member Function Documentation

### QGCacheIterator::QGCacheIterator ( const QGCache & c ) `[protected]`

For internal use only.

### QGCacheIterator::QGCacheIterator ( const QGCacheIterator & ci ) `[protected]`

For internal use only.

### QGCacheIterator::~QGCacheIterator () `[protected]`

For internal use only.

### bool QGCacheIterator::atFirst () const `[protected]`

For internal use only.

### bool QGCacheIterator::atLast () const `[protected]`

For internal use only.

### uint QGCacheIterator::count () const `[protected]`

For internal use only.

### GCI QGCacheIterator::get () const `[protected]`

For internal use only.

### const char * QGCacheIterator::getKey () const `[protected]`

For internal use only.

### GCI QGCacheIterator::operator() () `[protected]`

For internal use only.

### GCI QGCacheIterator::operator++ () `[protected]`

For internal use only.

### GCI QGCacheIterator::operator+= ( uint jump ) `[protected]`

For internal use only.

### GCI QGCacheIterator::operator-- () `[protected]`

For internal use only.

### GCI QGCacheIterator::operator-= ( uint jump ) `[protected]`

For internal use only.

### QGCacheIterator & QGCacheIterator::operator= ( const QGCacheIterator & ci ) `[protected]`

For internal use only.

### GCI QGCacheIterator::toFirst () `[protected]`

For internal use only.

### GCI QGCacheIterator::toLast () `[protected]`

For internal use only.

Search the documentation, FAQ, qt-interest archive and more (uses www.troll.no):

This file is part of the Qt toolkit, copyright © 1995-99 Troll Tech, all rights reserved.

It was generated from the following files:

- qgcache.h: 1998/08/19
- qgcache.cpp: 1998/11/26